Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 680784 - dev-qt/qtwebkit-5.212.0_pre20180120 - Could NOT find Ruby: Found unsuitable version "1.8.0", but required is at least "1.9" (found /usr/bin/ruby25)
Summary: dev-qt/qtwebkit-5.212.0_pre20180120 - Could NOT find Ruby: Found unsuitable v...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-17 15:09 UTC by Martin Mokrejš
Modified: 2019-03-17 15:30 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Mokrejš 2019-03-17 15:09:59 UTC
Hi,
  it is weird the configure script complains about old version of ruby.


>>> Emerging (2 of 3) dev-qt/qtwebkit-5.212.0_pre20180120::gentoo
 * qtwebkit-5.212.0_pre20180120.tar.gz BLAKE2B SHA512 size ;-) ...                                                                                                                                                                    [ ok ]
>>> Unpacking source...
>>> Unpacking qtwebkit-5.212.0_pre20180120.tar.gz to /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work
>>> Source unpacked in /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work
>>> Preparing source in /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/72cfbd7664f21fcc0e62b869a6b01bf73eb5e7da ...
 * Applying qtwebkit-5.212.0_pre20180120-functional.patch ...                                                                                                                                                                         [ ok ]
 * Applying qtwebkit-5.212.0_pre20180120-fix-pkgconfig.patch ...                                                                                                                                                                      [ ok ]
 * Applying qtwebkit-5.212.0_pre20180120-cmake-fix-pkgconfig_deps-spelling.patch ...                                                                                                                                                  [ ok ]
>>> Source prepared.
>>> Configuring source in /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/72cfbd7664f21fcc0e62b869a6b01bf73eb5e7da ...
>>> Working in BUILD_DIR: "/scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/qtwebkit-5.212.0_pre20180120_build"
cmake -C /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/qtwebkit-5.212.0_pre20180120_build/gentoo_common_config.cmake -G Ninja -DCMAKE_INSTALL_PREFIX=/usr -DPORT=Qt -DENABLE_API_TESTS=OFF -DENABLE_TOOLS=OFF -DENABLE_GEOLOCATION=yes -DUSE_GSTREAMER=no -DUSE_LIBHYPHEN=yes -DENABLE_JIT=yes -DUSE_QT_MULTIMEDIA=no -DENABLE_NETSCAPE_PLUGIN_API=no -DENABLE_OPENGL=yes -DENABLE_PRINT_SUPPORT=yes -DENABLE_DEVICE_ORIENTATION=no -DENABLE_WEBKIT2=no -DCMAKE_DISABLE_FIND_PACKAGE_WebP=ON -DENABLE_X11_TARGET=yes -DRUBY_EXECUTABLE=/usr/bin/ruby25 -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_TOOLCHAIN_FILE=/scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/qtwebkit-5.212.0_pre20180120_build/gentoo_toolchain.cmake  /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/72cfbd7664f21fcc0e62b869a6b01bf73eb5e7da
loading initial cache file /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/qtwebkit-5.212.0_pre20180120_build/gentoo_common_config.cmake
-- The C compiler identification is GNU 8.3.0
-- The CXX compiler identification is GNU 8.3.0
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Detecting C compile features
-- Detecting C compile features - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Detecting CXX compile features
-- Detecting CXX compile features - done
-- Found BISON: /usr/bin/bison (found suitable version "3.0.5", minimum required is "2.1") 
-- Found Gperf: /usr/bin/gperf (Required is at least version "3.0.1") 
-- Found Perl: /usr/bin/perl (found suitable version "5.28.0", minimum required is "5.10.0") 
-- Found PythonInterp: /scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/temp/python2.7/bin/python (found suitable version "2.7.15", minimum required is "2.7.0") 
-- Could NOT find Ruby: Found unsuitable version "1.8.0", but required is at least "1.9" (found /usr/bin/ruby25)
CMake Error at Source/cmake/WebKitCommon.cmake:37 (message):
  Ruby 1.9 or higher is required.
Call Stack (most recent call first):
  CMakeLists.txt:137 (include)


-- Configuring incomplete, errors occurred!
See also "/scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/qtwebkit-5.212.0_pre20180120_build/CMakeFiles/CMakeOutput.log".
 * ERROR: dev-qt/qtwebkit-5.212.0_pre20180120::gentoo failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line  124:  Called src_configure
 *   environment, line 4302:  Called cmake-utils_src_configure
 *   environment, line 1426:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 * 
 * If you need support, post the output of `emerge --info '=dev-qt/qtwebkit-5.212.0_pre20180120::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-qt/qtwebkit-5.212.0_pre20180120::gentoo'`.
 * The complete build log is located at '/scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/temp/build.log'.
 * The ebuild environment file is located at '/scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/temp/environment'.
 * Working directory: '/scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/qtwebkit-5.212.0_pre20180120_build'
 * S: '/scratch/var/tmp/portage/dev-qt/qtwebkit-5.212.0_pre20180120/work/72cfbd7664f21fcc0e62b869a6b01bf73eb5e7da'


# emerge --info '=dev-qt/qtwebkit-5.212.0_pre20180120::gentoo'
Portage 2.3.43 (python 2.7.15-final-0, default/linux/amd64/17.0, gcc-8.3.0, glibc-2.28-r5, 4.20.16 x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.20.16-x86_64-Intel-R-_Core-TM-_i7-7820HQ_CPU_@_2.90GHz-with-gentoo-2.6
KiB Mem:    32817124 total,  18187728 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Fri, 15 Mar 2019 09:00:01 +0000
Head commit of repository gentoo: b00f98b4452fa62e4df318a19cb7c1b5a720693e
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.32 p1) 2.32.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.28.0::gentoo
dev-lang/python:          2.7.15::gentoo, 3.4.8-r1::gentoo, 3.5.5-r1::gentoo, 3.6.6::gentoo
dev-util/cmake:           3.13.4::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.38.1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r2::gentoo, 1.14.1-r2::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32::gentoo
sys-devel/gcc:            6.4.0-r5::gentoo, 7.3.0-r6::gentoo, 8.2.0-r6::gentoo, 8.3.0::gentoo
sys-devel/gcc-config:     1.9.1::gentoo
sys-devel/libtool:        2.4.6-r5::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.17::gentoo (virtual/os-headers)
sys-libs/glibc:           2.28-r5::gentoo
Repositories:

gentoo
    location: /scratch/usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts: 
    sync-rsync-verify-max-age: 24

x-portage
    location: /scratch/usr/local/portage
    masters: gentoo
    priority: 0

layman
    location: /scratch/var/lib/layman
    masters: gentoo
    priority: 1

haskell
    location: /var/lib/layman/haskell
    masters: gentoo
    priority: 50

science
    location: /var/lib/layman/science
    masters: gentoo
    priority: 50

vmware
    location: /var/lib/layman/vmware
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA dlj-1.1 sun-bcla-java-vm Oracle-BCLA-JavaSE IBM-J1.6 skype-eula Nero-EULA-US AdobeFlash-10.3 skype-4.0.0.7-copyright AdobeFlash-11.x OPERA-2014 RAR"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=sandybridge -mtune=native -ftree-vectorize"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.3/conf /var/lib/hsqldb /var/spool/torque"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=sandybridge -mtune=native -ftree-vectorize"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe -march=sandybridge -mtune=native -ftree-vectorize"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news nostrip parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe -march=sandybridge -mtune=native -ftree-vectorize"
GENTOO_MIRRORS="http://gentoo.wheel.sk/ http://ftp.fi.muni.cz/pub/linux/gentoo/ http://gentoo.mirror.web4u.cz/ rsync://gentoo.mirror.dkm.cz/gentoo/ ftp://gentoo.mirror.web4u.cz/"
LANG="cs_CZ.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en_US en_GB en cs"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/scratch/var/tmp"
USE="X acpi alsa amd64 amr apache apache2 asm avx avx2 berkdb bluetooth boost bzip2 cairo cgi cli coin consolekit cracklib crypt cryptlib cryptsetup cups cxx dbus device-mapper dhcp directfb drm dvd emboss encode fax fbcon ffmpeg flac fontconfig fortran gbm gcrypt gd gdbm geoip geolocation gimp glpk gmp gnutls gpm gps gtk hal hpijs hwdb iconv id3tag imaging innodb inotify java javafx javascript jce jpeg jpg js jscript keymap ladspa lapack laptop lcms libnotify libtirpc lm_sensors mad matroska mmx modemmanager multilib ncurses nfs nls nptl nptlonly nscd nss ntfsprogs objc ocr ogg opengl openmp openssl pam parport pbs pcre pcre16 pdf perl php png policykit polkit ppds pppd python qt3support qt4 qt5 readline rendering resolvconf romio scanner sctp seccomp server session slideshow sndfile sqlite sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification suexec svg syslog tcl tcpd threads tiff tk truetype udev unicode usb v4l v4l2 vim-syntax vnc wavpack wifi x11 xattr xcb xml xorg xrandr xv xvid xvmc zlib" ABI_X86="64 32" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="alias authz_host auth_basic auth_digest cgi cgid deflate dir env filter include info mem_cache mime mime_magic negotiation remoteip setenvif status userdir vhost_alias rewrite usertrack cache file_cache disk_cache charset_lite log_config log_forensic" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="aivdm ashtech earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 navcom ntrip oceanserver oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 tnt tripmate tsip ublox fury geostar nmea0183 nmea2000 passthrough" GRUB_PLATFORMS="efi-64 pc" INPUT_DEVICES="libinput keyboard mouse" KERNEL="linux" L10N="en en-US en-GB cs" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" OPENMPI_RM="pbs" PHP_TARGETS="php5-4 php5-5" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_4 python3_5 python3_6" RUBY_TARGETS="ruby23 ruby24 ruby25" USERLAND="GNU" VIDEO_CARDS="vesa vmware fbdev intel i915" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Martin Mokrejš 2019-03-17 15:11:54 UTC
# eselect ruby list
Available Ruby profiles:
  [1]   ruby24
  [2]   ruby25 *
# ruby --version
ruby 2.5.5p157 (2019-03-15 revision 67260) [x86_64-linux]
#